Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::AbstractVectorProperty< vectType, eltType > Class Template Reference
Properties

`#include <AbstractProperty.h>`

Inheritance diagram for tlp::AbstractVectorProperty< vectType, eltType >:
[legend]
Collaboration diagram for tlp::AbstractVectorProperty< vectType, eltType >:
[legend]

List of all members.

## Public Member Functions

- AbstractVectorProperty (Graph *, std::string name="")
- void setNodeEltValue (const node n, unsigned int i, typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue v)
    Sets the value for node n, at index i, to v, and notify the observers of a modification.
- tlp::StoredType< typename
  eltType::RealType >
  ::ReturnedConstValue getNodeEltValue (const node n, unsigned int i) const
    Gets the value associated to node n, at index i.
- void pushBackNodeEltValue (const node n, typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue v)
    Appends a new value at the end of the vector associated to node n, and notify the observers of a modification.
- void popBackNodeEltValue (const node n)
    Removes the value at the end of the vector associated to node n, and notify the observers of a modification.
- void resizeNodeValue (const node n, size_t size, typename eltType::RealType elt=eltType::defaultValue())
    Resizes the vector associated to node n, and notify the observers of a modification.
- void setEdgeEltValue (const edge e, unsigned int i, typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue v)
    Sets the value for edge e, at index i, to v, and notify the observers of a modification.
- tlp::StoredType< typename
  eltType::RealType >
  ::ReturnedConstValue getEdgeEltValue (const edge n, unsigned int i) const
    Gets the value associated to edge e, at index i.
- void pushBackEdgeEltValue (const edge e, typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue v)
    Appends a new value at the end of the vector associated to edge e, and notify the observers of a modification.
- void popBackEdgeEltValue (const edge e)
    Removes the value at the end of the vector associated to edge e, and notify the observers of a modification.
- void resizeEdgeValue (const edge e, size_t size, typename eltType::RealType elt=eltType::defaultValue())
    Resizes the vector associated to edge e, and notify the observers of a modification.

### template<typename vectType, typename eltType>
class tlp::AbstractVectorProperty< vectType, eltType >

## Constructor & Destructor Documentation

template<typename vectType, typename eltType>

tlp::AbstractVectorProperty< vectType, eltType >::AbstractVectorProperty | ( | Graph * | ,
|  | std::string | name = `""`
| ) |  |

## Member Function Documentation

template<typename vectType, typename eltType>

tlp::StoredType<typename eltType::RealType>::ReturnedConstValue tlp::AbstractVectorProperty< vectType, eltType >::getEdgeEltValue | ( | const edge | n,
|  | unsigned int | i
| ) |  | const

Gets the value associated to edge e, at index i.

Parameters:

  e | The edge to set a value of.
  i | The index at which to set the value.

Returns:
  const eltType& The value at index i in the vector for node n.

template<typename vectType, typename eltType>

tlp::StoredType<typename eltType::RealType>::ReturnedConstValue tlp::AbstractVectorProperty< vectType, eltType >::getNodeEltValue | ( | const node | n,
|  | unsigned int | i
| ) |  | const

Gets the value associated to node n, at index i.

Parameters:

  n | The node to set a value of.
  i | The index at which to set the value.

Returns:
  const eltType& The value at index i in the vector for node n.

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::popBackEdgeEltValue | ( | const edge | e | ) |

Removes the value at the end of the vector associated to edge e, and notify the observers of a modification.

Parameters:

  e | The edge to remove a value from.

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::popBackNodeEltValue | ( | const node | n | ) |

Removes the value at the end of the vector associated to node n, and notify the observers of a modification.

Parameters:

  n | The node to remove a value from.

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::pushBackEdgeEltValue | ( | const edge | e,
|  | typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue | v
| ) |  |

Appends a new value at the end of the vector associated to edge e, and notify the observers of a modification.

Parameters:

  e | The node to add a value to.
  v | The value to append at the end of the vector.

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::pushBackNodeEltValue | ( | const node | n,
|  | typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue | v
| ) |  |

Appends a new value at the end of the vector associated to node n, and notify the observers of a modification.

Parameters:

  n | The node to add a value to.
  v | The value to append at the end of the vector.

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::resizeEdgeValue | ( | const edge | e,
|  | size_t | size,
|  | typename eltType::RealType | elt = `eltType::defaultValue()`
| ) |  |

Resizes the vector associated to edge e, and notify the observers of a modification.

Parameters:

  e | The edge associated to the vector to resize.
  size | The new size of the vector.
  elt | The default value to set at indices where there was no value before. Defaults to eltType().

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::resizeNodeValue | ( | const node | n,
|  | size_t | size,
|  | typename eltType::RealType | elt = `eltType::defaultValue()`
| ) |  |

Resizes the vector associated to node n, and notify the observers of a modification.

Parameters:

  n | The node associated to the vector to resize.
  size | The new size of the vector.
  elt | The default value to set at indices where there was no value before. Defaults to eltType().

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::setEdgeEltValue | ( | const edge | e,
|  | unsigned int | i,
|  | typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue | v
| ) |  |

Sets the value for edge e, at index i, to v, and notify the observers of a modification.

Parameters:

  e | The edge to set the value of.
  i | The index at which the value should be set.
  v | The value to set.

Returns:
  void

template<typename vectType, typename eltType>

void tlp::AbstractVectorProperty< vectType, eltType >::setNodeEltValue | ( | const node | n,
|  | unsigned int | i,
|  | typename tlp::StoredType< typename eltType::RealType >::ReturnedConstValue | v
| ) |  |

Sets the value for node n, at index i, to v, and notify the observers of a modification.

Parameters:

  n | The node to set a value of.
  i | The index at which the value should be set.
  v | The value to set.

Returns:
  void

Tulip Software by LaBRI Visualization Team 2001 - 2012